IPTABLES-RESTORE(8)

NOM
iptables-restore — Restaurer les tables IP.

ip6tables-restore — Restaurer les tables IPv6.

SYNOPSIS
iptables-restore [-chntvV] [-w secondes] [-M chemin_modprobe] [-T nom_table] [fichier]

ip6tables-restore [-chntvV] [-w secondes] [-M chemin_modprobe] [-T nom_table] [fichier]

DESCRIPTION

iptables-restore et ip6tables-restore permettent de restaurer les tables IP et IPv6 à partir des données spécifiées sur STDIN ou dans un fichier. Utilisez la redirection des entrées/sorties fournie par votre interpréteur de commande pour lire les données depuis un fichier ou spécifiez un fichier comme argument.

-c, --counters
    Restaurer les valeurs de tous les compteurs de paquets et d'octets.

-h, --help
    Afficher un bref résumé des options.

-n, --noflush
    Ne pas vider la table de son contenu actuel. Si cette option n'est pas spécifiée, les deux commandes vident (effacent) tout le contenu antérieur de la table correspondante.

-t, --test
    Seulement analyser et construire le jeu de règles sans l'appliquer.

-v, --verbose
    Afficher des informations de débogage supplémentaires pendant le traitement du jeu de règles. Spécifier plusieurs fois cette option pour augmenter le niveau de débogage.

-V, --version
    Afficher le numéro de version du programme.

-w, --wait [secondes]
    Attendre le verrouillage de xtables. Pour prévenir l'exécution simultanée de plusieurs instances du programme, ce dernier va tenter d'obtenir un verrouillage exclusif à son lancement. Par défaut, le programme s'arrêtera s'il ne peut pas obtenir le verrouillage. Avec cette option, le programme attendra (indéfiniment ou pendant une durée définie par l'argument facultatif secondes) jusqu'à ce qu'il obtienne le verrouillage exclusif.

-M, --modprobe chemin_modprobe
    Spécifier le chemin du programme modprobe(8). Par défaut, iptables-restore inspecte /proc/sys/kernel/modprobe pour déterminer le chemin de l'exécutable.

-T, --table nom_table
    Ne restaurer que la table spécifiée, même si le flux d'entrée en contient d'autres.

BOGUES
Aucun bogue connu au moment de la distribution iptables-1.2.1.

AUTEURS
Harald Welte <laforge@gnumonks.org> a écrit iptables-restore à partir du code de Rusty Russell.
Andras Kis-Szabo <kisza@sch.bme.hu> a contribué à ip6tables-restore.

VOIR AUSSI
iptables-apply(8), iptables-save(8), iptables(8)

Le iptables-HOWTO qui entre plus en détails dans l'utilisation d'iptables, le NAT-HOWTO qui détaille le NAT et le netfilter-hacking-HOWTO qui détaille le fonctionnement interne.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@waika9.com>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.